Skip to main content

}

Set missing email for payment request

PUT https://checkout-eu-a.paysera.com/checkout/rest/v1/payment-requests/{id}/set-missing-email

Set a missing email address for a payment request that was created without one.

This endpoint allows customers to provide their email address for payment requests where the email was not initially specified.

No Authentication Required

This is a public endpoint that does not require MAC authentication headers.

Parameters​

Path Parameters​

NameTypeRequiredDescription
idstring✓Payment request ID

Request Body​

FieldTypeRequiredDescription
emailstring✓Email address

Example​

Request​

PUT https://checkout-eu-a.paysera.com/checkout/rest/v1/payment-requests/abc123payment/set-missing-email
Content-Type: application/json
{
"email": "customer@example.com"
}

Response​

{
"id": "abc123payment",
"status": "new",
"order_id": "SUB_12345",
"price": {
"amount": "9.99",
"currency": "EUR"
},
"description": "RC12345678 Monthly subscription, order SUB_12345, https://yoursite.com",
"payer": {
"email": "customer@example.com"
},
"created_at": "2025-12-15T10:30:00Z",
"updated_at": "2025-12-15T10:35:00Z"
}

AUTHORIZATION: HTTP

REQUEST

Base URL
https://checkout-eu-a.paysera.com

RESPONSE

Email set successfully
{}